Author Topic: Auto update to 1,2 fails  (Read 3968 times)

Offline teamzr1

  • Newbie
  • *
  • Posts: 10
  • Karma: +0/-0
    • View Profile
Auto update to 1,2 fails
« on: December 28, 2014, 03:44:23 PM »
Via my carts admin website it says there was a update from existing 1.19 to 1.2
I clicked up the upgrade and as snapshot show it fails to backup the database and then is asking for some key ?
PHP is V 5.5

How to resolve and also since trying to do that auto update I now see in error logs this : several times a second and I have no clue what is failing now

What is going on and how to fix ASAP Please

2014-12-28 12:33:12 - DEPRECATED:  AbanteCart core v.1.1.9 mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in <b>/home/teamzr5/public_html/estore/core/database/mysql.php</b> on line <b>46</b>

Tried this auto install process again and find in error log

2014-12-28 13:43:51 - Error: Can't create sql dump of database during backup
So cannot get past this to complete the update, solution ?

« Last Edit: December 28, 2014, 04:50:32 PM by teamzr1 »

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1769
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Auto update to 1,2 fails
« Reply #1 on: December 30, 2014, 04:19:44 PM »
php v5.5 does not support mysql functions. You should to switch on mysqli database driver. To do this just edit your system/config.php file and replace
Code: [Select]
define('DB_DRIVER', 'mysql');to
Code: [Select]
define('DB_DRIVER', 'amysqli');
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline teamzr1

  • Newbie
  • *
  • Posts: 10
  • Karma: +0/-0
    • View Profile
Re: Auto update to 1,2 fails
« Reply #2 on: December 30, 2014, 05:24:07 PM »
Thanks for the reply
I reverted host server back to V 5.3 PHP and the auto upgrade still fails on this backup dump

So will making the code change you mention solve the problem to get updated to 1.2 ?


Offline teamzr1

  • Newbie
  • *
  • Posts: 10
  • Karma: +0/-0
    • View Profile
Re: Auto update to 1,2 fails
« Reply #3 on: December 30, 2014, 05:38:25 PM »
I went ahead and made the code change to the config file found in system directory and then via my cart admin page selected the link for auto update and still fails with this error

Error: Can't create sql dump of database during backup

Once it reports that the upgrade process stops

Ideas to correct ?

Also via admin webpage where can I go to see what version PHP is being used or health of database ?

Thanks

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1769
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Auto update to 1,2 fails
« Reply #4 on: January 05, 2015, 07:09:57 AM »
you can to replace file core/lib/backup.php by attached (i disabled backuping in it) and try to upgrade again.
But do full backup all of your files and database before !!
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline teamzr1

  • Newbie
  • *
  • Posts: 10
  • Karma: +0/-0
    • View Profile
Re: Auto update to 1,2 fails
« Reply #5 on: January 06, 2015, 01:21:07 AM »
I downloaded your backup.php and then replaced the one in the core directory and then tried again to use the auto installer via the admin webpage and still the same failure occurs and install ceases and does not complete the update.


Home :: Package Installer

Error: Can't create sql dump of database during backup

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1769
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Auto update to 1,2 fails
« Reply #6 on: January 06, 2015, 08:33:05 AM »
can you post phpinfo() output here? 
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline teamzr1

  • Newbie
  • *
  • Posts: 10
  • Karma: +0/-0
    • View Profile
Re: Auto update to 1,2 fails
« Reply #7 on: January 06, 2015, 10:29:21 AM »
I will if you tell me how to do it,

Thanks for the help in fixing this !

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1769
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Auto update to 1,2 fails
« Reply #8 on: January 06, 2015, 11:45:01 AM »
You can create new file inside your public_html directory. for ex 111.php
Then open it in editor  paste
Code: [Select]
<?php 
phpinfo
(); 
?>
at the beginning and save.

Then check it from browser and send me URL for it via private message.
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline nitus

  • Newbie
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
Re: Auto update to 1,2 fails
« Reply #9 on: February 03, 2015, 08:12:42 AM »
Hi friends!
I tried to update my store version 1.19 to 1.2 and failed.

I have a great big problem because my English is very basic and my level programming even worse.

I used the auto-updater and I get the following error on my website:

"There has-been a critical mistake processing your request
Please check AbanteCart mistake and webserver logs for more details. You can check an error log in the Control Panel if it is functional. Otherwise, refer to Error log located on your web server
"

I have looked at the error.txt log and reads as follows:

"2015-02-03 12:19:44 - database error:  AbanteCart core v.1.2.0 Error: Unknown column 'p.date_added' in 'field list'<br />Error No: 1054<br />SELECT p.page_id, controller, key_param, key_value, p.date_added, p.date_modified FROM ab_pages p LEFT JOIN ab_pages_layouts pl ON pl.page_id = p.page_id LEFT JOIN ab_layouts l ON l.layout_id = pl.layout_id WHERE controller = 'pages/index/home' ORDER BY key_param DESC, key_value DESC, p.page_id ASC in <b>/home/cesabade/public_html/crous.cat/shop/core/database/mysql.php</b> on line <b>114</b>"

Can anyone help me please?
Can I restore to previous 1.19 version??

Help me please!! Thks!!

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1769
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Auto update to 1,2 fails
« Reply #10 on: February 03, 2015, 08:28:30 AM »
looks like your database structure is not changed during upgrade process.
Is your mysql user have permissions for it?
Please check it in your hosting provider CPanel
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline nitus

  • Newbie
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
Re: Auto update to 1,2 fails
« Reply #11 on: February 03, 2015, 10:19:04 AM »
Thank you abolabo for your help!

I think that i have all permissions for this db.

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1769
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Auto update to 1,2 fails
« Reply #12 on: February 03, 2015, 10:30:59 AM »
Thank you abolabo for your help!

I think that i have all permissions for this db.

in that case you can try to run SQL upgrade script ( https://github.com/abantecart/abantecart-src/blob/master/public_html/install/abantecart_database_upgrade.sql ) manually, via phpmyadmin in CPanel. But do not forget about replacement table name prefix "ac_" to your own.

“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

 

Powered by SMFPacks Social Login Mod